Skip to main content
GET
/
transactions
List transactions
curl --request GET \
  --url https://api.zetmoney.co/v1/transactions \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "txn_01H8X3...",
      "type": "onramp",
      "status": "pending",
      "chain": "base",
      "amount": "100",
      "tokenSymbol": "USDC",
      "transactionHash": "0xabc...",
      "reference": "order_12345",
      "walletId": "wal_01H8X3...",
      "fees": {
        "platformFee": "<string>",
        "providerFee": "<string>",
        "totalFee": "<string>"
      },
      "ramp": {
        "fiatAmount": "150000",
        "fiatCurrency": "NGN",
        "bankAccount": {
          "bankName": "<string>",
          "accountNumber": "<string>",
          "accountName": "<string>"
        }
      },
      "swap": {
        "fromToken": "USDC",
        "toToken": "ETH",
        "fromAmount": "100",
        "toAmount": "0.0285"
      },
      "transfer": {
        "fromChain": "base",
        "toChain": "ethereum",
        "destinationAddress": "0xdef..."
      },
      "errorMessage": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 142,
    "totalPages": 8
  }
}

Authorizations

x-api-key
string
header
required

Your Zet API key. Contact zetdotmoney@gmail.com to obtain your keys.

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100
type
enum<string>

Filter by transaction type.

Available options:
onramp,
offramp,
swap,
transfer
status
enum<string>

Filter by status.

Available options:
pending,
completed,
failed
chain
enum<string>

Filter by chain. Blockchain network identifier

Available options:
base,
bsc,
ethereum,
polygon,
arbitrum,
avalanche,
solana
walletId
string

Filter by wallet.

from
string<date-time>

Start date (ISO 8601).

to
string<date-time>

End date (ISO 8601).

Response

Paginated transaction list.

success
boolean
Example:

true

data
object[]
meta
object